Chromium 79 for Slackware – trouble for 32bit?

In the comments section of a previous post I already hinted at the problems I have in getting a Chromium package compiled on 32bit Slackware 14.2.
The issue started with the first stable release of the Chromium 79 sources and in particular with the ‘gn’ tool which is used by Google to generate the ninja build files for Chromium. The ‘gn’ code was updated with C++17 features and that is too modern for the gcc-g++ 5.5.0 compiler package in Slackware 14.2.
For 64bit Slackware 14.2 I was able to build ‘gn’ using the embedded version of libc++ which comes with the Chromium sources. On 32bit I got bitten by linker errors – which I was unable to resolve. They seem to be caused by the fact that on a 32bit system, libgcc provides compatibility code to deal with constructs (like ‘unsigned long long’) that do not fit in a 32bit architecture.

For Slackware-current I could rely on a more modern gcc-g++ version (9.2.0) and that produced working 32bit as well as 64bit packages.

Therefore, you can get packages for the new Chromium 79.0.3945.88 browser from my repository, but on 32bit Slackware 14.2 you’re stuck with the older 78.0.3904.108 version (let’s hope that this will change in future).

Enjoy the new release!

Eric

13 thoughts on “Chromium 79 for Slackware – trouble for 32bit?

  1. Chromium handles network much more slowly then Firefox (which would be nice if it wouldn’t keep so much persistent connections to amazonaws and akamai, even so frequent queries for success.txt).


  2. Pingback: Links 19/12/2019: Alpine 3.11.0 and Rust 1.40.0 | Techrights


  3. As for the issue of slackware 14.2 components being too old now days, it is costing slackware, heard from former colleagues sadly a previous employer due to security issue with proprietary software they use for their business, had to replace slackware with a certain RPM based distro where that proprietary software can be built on, they get source not rpm packages, but it simply no longer builds on slackware 14.2, so they either ran insecure POS (incl commercial/govt sales, marketing, warehouse tracking and stock control, an all-in-one etc) software, or leave slackware, they chose the latter.

    I think there is more TLS 1.3 issues with slackware current as well, I certainly hope Pat gives us a christmas present soon, or I feel it will be left even further behind.


  4. Jean Blavier pointed me to the Slackware ‘unsupported’ area (http://ftp.slackware.com/pub/slackware/unsupported/) where Pat uploaded a set of gcc 9.2.0 packages for Slackware 14.2 a few months back.
    I used that newer gcc on 32bit Slackware 14.2 and was able to compile a 32bit ‘chromium-79.0.3945.88’ package. Note that this newer gcc version should not be used as the default compiler on Slackware 14.2 because you will not be able to compile kernel modules with it for instance.

    I have uploaded the chromium package already so it is available for installation.


    1. Thank you Eric – glad that 32-bit Chromium-79 for 14.2 lives on for a bit longer….. Many thanks for your efforts on this and many other things as well.
      Cheers
      PeeBee


  5. Hi Alien Bob,

    Thank you for your amazing stuff! I finally decided to switch my main desktop computer from Windows to Slackware, and installed your November Plasma Slackware Live ISO on it. It is great, however I do have a couple of annoying issues. I use Chormium to stream my TV service from Spectrum (https://watch.spectrum.net/), and initially it worked well. Lately, however, is shows buffering, downgrades the resolution, and does this every 10 seconds or so, then it returns to good quality. I ruled out my internet service as the root cause because I get great quality on a Windows PC, or on Roku, and my speed test shows over 200 Mbps. I’ve just upgraded to Chromium 79 hoping it would help. Unfortunately, I cannot use Firefox either, because its flash player plugin gives me an Error #2046. Otherwise both browsers play youtube videos well.

    Have any ideas what could be the problem?

    Cheers, and Merry Christmas!

    PS.
    I also use Slackware 14.2 on my home made router, and 3 other PC’s that host borg backup servers.


    1. Hi Karl,

      If you installed Slackware64-current with Plasma5 using my Live ISO, have you been keeping the installed Slackware uptodate by using slackpkg? In that case, did you realize that two new packages were added to slackware-current and mozjs60 is an important addition? If you forgot to install that package, all kind of things will break because your computer’s polkit is now broken.


  6. Hi alienbob,

    I don’t know how, but it “healed” itself. Now Chromium streams flawlessly. I have not been updating the installation because I did not want to break things. I think the few things I did update were the two browsers, Thunderbird, and maybe 1-2 things from the alien repo. I did remove a flash plugin that I installed from Slackbuilds.org, because slackpkg warned me that I have a duplicate. Maybe that did it. However, firefox still gives me the same flash Error# 2046. I did switch to XFCE though, because a couple of times the screen started to flicker, and would only stop when I logged off. (Once just after starting Gimp). I have a large screen 2560×1600.

    Is it your recommendation to regularly update using slackpkg, or maybe a more conservative approach is better to keep the update to a minimum to not break things?

    Anyway, thanks again for the live ISO that made it possible for me to totally enjoy Slackware again, that I first used in graduate school in 1995, doing all work related to my studies and thesis.

    Karl


    1. When running slackware-current, the best approach is as follows for careful people:
      – always check the ChangeLog.txt before doing any upgrade. Look for “Shared library .so-version bump” which is a sure sign that 3rd-party packages will break until they are recompiled
      – if you need a 3rd-party package which has specifically been compiled and released for slackware-current, then you must also update your local installation of Slackware-current to the ‘latest 7 greatest’.
      – if you are happy with the stability and performance and do not require any new stuff, there is no immediate need for an upgrade. However, the longer you wait, the farther you will get out of sync with development and the chances will be higher that the next upgrade will become painful and on-trivial. If you upgrade once per month, that should be OK.


  7. Hi Eric, just tried to build chromium-80.0.3987.87 using your latest script but it died at the end –

    [39368/39375] ACTION //tools/v8_context_snapshot:generate_v8_context_snapshot(//build/toolchain/linux:clang_x64)
    [39369/39375] STAMP obj/tools/v8_context_snapshot/generate_v8_context_snapshot.stamp
    [39370/39375] STAMP obj/tools/v8_context_snapshot/v8_context_snapshot.stamp
    [39371/39375] AR obj/headless/libheadless_non_renderer.a
    [39372/39375] AR obj/chrome/renderer/librenderer.a
    [39373/39375] AR obj/headless/libheadless_shell_lib.a
    [39374/39375] STAMP obj/chrome/child_dependencies.stamp
    [39375/39375] LINK ./chrome
    — Manually installing everything.
    cp: cannot stat ‘out/Release/swiftshader’: No such file or directory
    chromium.SlackBuild FAILED at line 1070


    1. Welcome to the private hell of the distro packager.
      Complex pieces of software like chromium or libreoffice change so much code between major release updates, that the build scripts usually need careful attention and repair before a new package can be created.
      You ran into such an issue.
      You can either fix this yourself now, or wait for me to come up with a package. I am really lacking in free time, so I am not making promises about delivery dates if things need careful inspection and non-trivial fixes.



Leave a Reply to alienbob Cancel reply

Your email address will not be published. Required fields are marked *

This site uses Akismet to reduce spam. Learn how your comment data is processed.